Dirac Video Codec

# Dirac - A Video Codec

Created by the British Broadcasting Corporation.

# dirac::ComponentByteIO Class Reference

Picture component in Dirac bytestream format.

`#include <component_byteio.h>`

Inheritance diagram for dirac::ComponentByteIO:
[legend]
Collaboration diagram for dirac::ComponentByteIO:
[legend]

List of all members.

## Public Member Functions

- ComponentByteIO (CompSort cs, const ByteIO &byteIO)
    Constructor.
- ComponentByteIO (CompSort cs)
    Constructor.
- ~ComponentByteIO ()
    Destructor.
- void CollateByteStats (DiracByteStats &dirac_byte_stats)
    Gathers byte stats on the component data.
- void AddSubband (SubbandByteIO *p_subband_byteio)
    Add a subband byte-stream to this component.
- bool Input ()
    Inputs data from Dirac stream-format.
- void Output ()
    Outputs picture values to Dirac stream-format.

## Private Attributes

- CompSort m_compsort
    Picture component type.
- std::vector< ByteIO * > m_subband_list
    List of subbands in output/input order.

## Constructor & Destructor Documentation

dirac::ComponentByteIO::ComponentByteIO | ( | CompSort | cs,
|  | const ByteIO & | byteIO |
| ) |  |  |

Parameters:

  | cs | Picture-component type
  | byteIO | Input/output Byte stream

dirac::ComponentByteIO::ComponentByteIO | ( | CompSort | cs | ) |

Parameters:

  | cs | Picture-component type

dirac::ComponentByteIO::~ComponentByteIO | ( |  | ) |

## Member Function Documentation

void dirac::ComponentByteIO::CollateByteStats | ( | DiracByteStats & | dirac_byte_stats | ) | `[virtual]`

Parameters:

  | dirac_byte_stats | Stat container

Reimplemented from dirac::ByteIO.

void dirac::ComponentByteIO::AddSubband | ( | SubbandByteIO * | p_subband_byteio | ) |

Parameters:

  | p_subband_byteio | Subband to be added

bool dirac::ComponentByteIO::Input | ( |  | ) |

void dirac::ComponentByteIO::Output | ( |  | ) |

## Member Data Documentation

CompSort dirac::ComponentByteIO::m_compsort`[private]`

std::vector<ByteIO*> dirac::ComponentByteIO::m_subband_list`[private]`

The documentation for this class was generated from the following file:

- component_byteio.h

© 2004 British Broadcasting Corporation. Dirac code licensed under the Mozilla Public License (MPL) Version 1.1.
HTML documentation generated by Dimitri van Heesch's excellent Doxygen tool.